/* Problem URL: https://codeforces.com/contest/609/problem/E */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n, m;
    cin >> n >> m;

    V<tuple<ll, int, int, int>> edges(m);
    rep(i, m) {
        auto &[c, u, v, j] = edges[i];
        cin >> u >> v >> c;
        u--, v--;
        j = i;
    }

    sortv(edges);

    vi dsu(n);
    rep(i, n) {
        dsu[i] = i;
    }

    function<int(int)> find_p = [&](int i) {
        if (dsu[i] == i) {
            return i;
        }
        return dsu[i] = find_p(dsu[i]);
    };

    auto join = [&](int a, int b) {
        a = find_p(a);
        b = find_p(b);
        dsu[b] = a;
        return a != b;
    };

    ll ans = 0;
    V<V<pair<int, ll>>> graph(n);

    for (auto [c, u, v, j] : edges) {
        if (join(u, v)) {
            ans += c;
            graph[u].emplace_back(v, c);
            graph[v].emplace_back(u, c);
        }
    }

    vvi parent(20, vi(n));
    vvl maximal(20, vl(n));
    vi depth(n);

    function<void(int, int, ll)> dfs = [&](int i, int p, ll c) {
        parent[0][i] = p;
        maximal[0][i] = c;
        depth[i] = depth[p] + 1;

        nrep(j, 1, 20) {
            parent[j][i] = parent[j - 1][parent[j - 1][i]];
            maximal[j][i] = max(maximal[j - 1][i], maximal[j - 1][parent[j - 1][i]]);
        }

        for (auto [j, c] : graph[i]) {
            if (j == p) {
                continue;
            }

            dfs(j, i, c);
        }
    };

    dfs(0, 0, 0);

    auto lca = [&](int a, int b) {
        if (depth[a] > depth[b]) {
            swap(a, b);
        }

        ll ans = 0;
        int diff = depth[b] - depth[a];

        rep(i, 20) {
            if ((diff >> i) & 1) {
                rmax(ans, maximal[i][b]);
                b = parent[i][b];
            }
        }

        if (a == b) {
            return ans;
        }

        for (int i = 19; i >= 0; i--) {
            if (parent[i][a] != parent[i][b]) {
                rmax(ans, maximal[i][a]);
                rmax(ans, maximal[i][b]);
                a = parent[i][a];
                b = parent[i][b];
            }
        }

        return max({ans, maximal[0][a], maximal[0][b]});
    };

    vl act(m);

    for (auto [c, u, v, i] : edges) {
        act[i] = ans - lca(u, v) + c;
    }

    repv(i, act) {
        cout << i << '\n';
    }
}
